linux-mips
[Top] [All Lists]

Question concerning necessary libraries for 2.4.x kernel upgrade

To: linux-mips@oss.sgi.com
Subject: Question concerning necessary libraries for 2.4.x kernel upgrade
From: Jeff Harrell <jharrell@ti.com>
Date: Thu, 06 Jul 2000 11:21:41 -0600
Cc: bbrown@ti.com
Sender: owner-linux-mips@oss.sgi.com
I am currently upgrading my MIPS development board (Atlas) that contains a R4Kc (jade core)
and version 2.2.12 of the Linux kernel to a 2.4.x series kernel.   I believe the  libraries and applications
were built off of the hardhat distribution.  We are able to run the 2.4.x version of the kernel on the Atlas
board but are seeing problems with some of the executables.  I examined the Changes file and am in the
process of upgrading the following binaries/libraries..

GNU C  2.7.2.3
binutils 2.9.1.0.22
util-linux 2.10g
modutils 2.3.0
e2fsprogs 1.18
pcmcia-cs 3.1.13
ppp 2.4.0b1

I am seeing problems with executables such as awk, groff, troff, etc.   Will I need to rebuild each of these
applications  against the new libraries to run or should they still function after I have upgraded the previously
mentioned packages?  Are there mipsel version of these packages (either source or binaries) available somewhere?
Any information would be greatly appreciated.

Jeff
 
 

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Jeff Harrell                    Work:  (801) 619-6104 
Broadband Access group/TI      
jharrell@ti.com
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Attachment: jharrell.vcf
Description: Card for Jeff Harrell

<Prev in Thread] Current Thread [Next in Thread>